/* main block - the first block on the main page */
.main-block{
    position: relative;
    height: 100vh
}

.main-block .img-container{
    position: absolute;
    height: 100dvh;
    width: 100dvw
}
.main-block .container{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center
}
.main-block .content{
    z-index: 1;
    position: relative;
    width: fit-content
}
.main-block .img-container img{
	object-position: top
}

.main-block h1{
    color: var(--white);
    line-height: 0.65;
}
.text-before-title{
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: 5px;
    text-transform: uppercase;
    margin-bottom: var(--size-2)
}
.text-after-title{
    font-size: 1.8rem;
    font-weight: 600;
    margin-top: var(--size-2);
    text-align: right
}
.call{
    position: fixed;
    z-index: 5;
    right: 40px;
    bottom: 40px
}
.call img{
    height: 24px;
    animation: trin 2s infinite linear;
    cursor: pointer
}
@keyframes trin {

    from {
        transform:rotate3d(0, 0, 1, 0deg);
    }
    20%, 32%, 44%, 56%, 68% {
        transform: rotate3d(0, 0, 1, 0deg);
    }
    23%, 35%, 47%, 59%, 71% {
        transform: rotate3d(0,0,1,10deg);
    }
    26%, 38%, 50%, 62%, 74% {
        transform: rotate3d(0,0,1,0deg);
    }
    29%, 41%, 53%, 65%, 77% {
        transform: rotate3d(0,0,1,-10deg);
    }
    80% {
        transform:rotate3d(0, 0, 1, 0deg);
    }

}

.call-animation {
    /*background: #b88630;*/
    width: 60px;
    height: 60px;
    border-radius: 100%;
    border: solid 3px var(--gold-light);
    animation: play 2s ease infinite;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    backface-visibility: hidden;
    position: fixed;
    bottom: 40px;
    right: 40px;
    z-index: 112;
    display: flex;
    justify-content: center;
    align-items: center
}

@keyframes play
{
    0% {
        transform: scale(1);
    }
    15% {
        box-shadow: 0 0 0 5px rgba(170, 147, 126, 0.4);
    }
    25% {
        box-shadow: 0 0 0 10px rgba(170, 147, 126, 0.4), 0 0 0 20px rgba(170, 147, 126, 0.2);
    }
    25% {
        box-shadow: 0 0 0 15px rgba(170, 147, 126, 0.4), 0 0 0 30px rgba(170, 147, 126, 0.2);
    }
}


/* end of main block */

/* SLIDER BASE */
.slider {
  position: relative;
  width: fit-content
}

input[type="radio"].slide-radio {
  display: none
}

.slides {
  position: relative;
      height: 487.05px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 487.05px
}

.slide {
  position: absolute;
  width: 380px;
  height: 380px;
  z-index: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.8s ease
}

/* Початкові нахили для кожного слайду */
.slides .slide:nth-of-type(1) { transform: rotate(0deg); }
.slides .slide:nth-of-type(2) { transform: rotate(10deg); }
.slides .slide:nth-of-type(3) { transform: rotate(20deg); }
.slides .slide:nth-of-type(4) { transform: rotate(10deg); }
.slides .slide:nth-of-type(5) { transform: rotate(10deg); }
.slides .slide:nth-of-type(6) { transform: rotate(20deg); }


/* Активний слайд */
#s1:checked ~ .slides .slide:nth-of-type(1),
#s2:checked ~ .slides .slide:nth-of-type(2),
#s3:checked ~ .slides .slide:nth-of-type(3),
#s1_1:checked ~ .slides .slide:nth-of-type(1),
#s2_1:checked ~ .slides .slide:nth-of-type(2),
#s3_1:checked ~ .slides .slide:nth-of-type(3),
#s4_1:checked ~ .slides .slide:nth-of-type(4),
#s5_1:checked ~ .slides .slide:nth-of-type(5),
#s6_1:checked ~ .slides .slide:nth-of-type(6)
 {
  z-index: 2;
  transform: rotate(0deg);
  transition: transform 0.8s ease
}

/* Попередній слайд — ліворуч під нахилом */
#s1:checked ~ .slides .slide:nth-of-type(2),
#s1_1:checked ~ .slides .slide:nth-of-type(2)
 {
  transform: rotate(10deg);
  transition: transform 0.8s ease
}

#s1:checked ~ .slides .slide:nth-of-type(3),
#s1_1:checked ~ .slides .slide:nth-of-type(3)
 {
  transform: rotate(20deg);
  transition: transform 0.8s ease
}
#s2:checked ~ .slides .slide:nth-of-type(1),
#s2_1:checked ~ .slides .slide:nth-of-type(1)
 {
  transform: rotate(10deg);
  transition: transform 0.8s ease
}

#s2:checked ~ .slides .slide:nth-of-type(3),
#s2_1:checked ~ .slides .slide:nth-of-type(3)
 {
  transform: rotate(20deg);
  transition: transform 0.8s ease
}
#s3:checked ~ .slides .slide:nth-of-type(1),
#s3_1:checked ~ .slides .slide:nth-of-type(1)
 {
  transform: rotate(10deg);
  transition: transform 0.8s ease
}

#s3:checked ~ .slides .slide:nth-of-type(2),
#s3_1:checked ~ .slides .slide:nth-of-type(2)
 {
  transform: rotate(20deg);
  transition: transform 0.8s ease
}

#s4_1:checked ~ .slides .slide:nth-of-type(1) { transform: rotate(10deg); }
#s4_1:checked ~ .slides .slide:nth-of-type(2) { transform: rotate(20deg); }
#s4_1:checked ~ .slides .slide:nth-of-type(3) { transform: rotate(10deg); }
#s4_1:checked ~ .slides .slide:nth-of-type(5) { transform: rotate(10deg); }
#s4_1:checked ~ .slides .slide:nth-of-type(6) { transform: rotate(20deg); }

#s5_1:checked ~ .slides .slide:nth-of-type(1) { transform: rotate(10deg); }
#s5_1:checked ~ .slides .slide:nth-of-type(2) { transform: rotate(20deg); }
#s5_1:checked ~ .slides .slide:nth-of-type(3) { transform: rotate(10deg); }
#s5_1:checked ~ .slides .slide:nth-of-type(4) { transform: rotate(10deg); }
#s5_1:checked ~ .slides .slide:nth-of-type(6) { transform: rotate(20deg); }

#s6_1:checked ~ .slides .slide:nth-of-type(1) { transform: rotate(10deg); }
#s6_1:checked ~ .slides .slide:nth-of-type(2) { transform: rotate(20deg); }
#s6_1:checked ~ .slides .slide:nth-of-type(3) { transform: rotate(10deg); }
#s6_1:checked ~ .slides .slide:nth-of-type(4) { transform: rotate(10deg); }
#s6_1:checked ~ .slides .slide:nth-of-type(5) { transform: rotate(20deg); }



#s1:checked ~ .nav label[for="s1"],
#s2:checked ~ .nav label[for="s2"],
#s3:checked ~ .nav label[for="s3"],
#s1_1:checked ~ .nav label[for="s1_1"],
#s2_1:checked ~ .nav label[for="s2_1"],
#s3_1:checked ~ .nav label[for="s3_1"],
#s4_1:checked ~ .nav label[for="s4_1"],
#s5_1:checked ~ .nav label[for="s5_1"],
#s6_1:checked ~ .nav label[for="s6_1"]
 {
  background: var(--gold-gradient-vertical)
}


/* TEXT */

/* FLIP BUTTON */
.flip-button, .popup__close {
  margin-top: 20px;
  cursor: pointer;
  transition: 0.3s;
  background: var(--gold-gradient-vertical);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-transform: uppercase;
  position: relative;
  width: fit-content;
  margin: 15px auto 0;
  font-family: var(--title-font);
  letter-spacing: 8px;
  line-height: 1.1;
    display: block

}
.flip-button:before, .popup__close:before{
    content: '';
    display: block;
    width: 100%;
    height: 0.5px;
    background-color: var(--gold);
    position: absolute;
    bottom: 0;
  transition: 0.3s
}

.flip-button:hover:before, .popup__close:hover:before {
  opacity: 0;
  transition: 0.3s
}

/* RADIO NAV */
.nav {
  margin-top: 20px;
  text-align: center;
}
.nav label {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    display: inline-block;
    margin: 0 8px;
    cursor: pointer;
    background-color: var(--pale-white)
}

/* ---- FLIP ---- */
.flip-wrap {
    width: 100%;
    height: 100%;
    perspective: 1200px;
}

.flip-card {
    width: 100%;
    height: 100%;
    position: relative;
    transform-style: preserve-3d;
    transition: 0.8s ease;
    box-shadow: var(--img-shadow)
}

.flip-card.flip-active {
    transform: rotateY(180deg);
  transition: transform 0.8s ease
}

.flip-front, .flip-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-size: cover;
    background-position: center;
}

.flip-front .content, .services__item .content{
    z-index: 2;
    width: calc(100% - (var(--size-1) * 2));
    position: absolute;
    bottom: var(--size-1);
    border: 3px solid var(--gold);
    padding: var(--size-2);
    background-color: var(--dark)
}
.services__item >img{
	object-position: top
}
/* .confidence .slide:last-child .flip-front .content{
    width: 100%;
    height: 100%;
    bottom: 0;
    display: flex;
    justify-content: center;
    flex-direction: column
} */
.flip-front .content >*, .services__item .content >*{
    text-align: center
}
.flip-front .content >p, .services__item .content >p{
    font-weight: 700;
    color: var(--gold);
    margin-top: 8px;
    text-transform: uppercase;
}

.flip-back {
    transform: rotateY(180deg);
    background-color: var(--dark);
    border: 3px solid var(--gold);
    padding: var(--size-2);
    z-index: 3;
}
.flip-back .content{
    height: 100%;
    display: flex;
    flex-direction: column
}

.flip-back .flip-button{
    margin-top: auto
}
section.about{
    padding-top: 18px
}
.about__text{
    display: flex;
    flex-direction: column;
    justify-content: center
}
.slides .round-text{
    position: absolute;
    right: -19px;
    top: -21px;
    z-index: 3;
    animation: spin 15s linear infinite
}
@keyframes spin {
    from { transform: rotate(360deg); }
    to { transform: rotate(0deg); }
}

/* founder */
.founder.bg-wrap{
    position: relative;
    padding: var(--section-distance) 0
}

.founder:before{
    content: '';
    position: absolute;
    width: 100%;
    height: calc(100% + 2px);
    background: var(--overlay-gradient-2);
    top: -1px;
    left: 0;
    z-index: 2
}
.diamond{
    gap: var(--size-2);
    display: flex;
    align-items: center;
    margin-bottom: 8px
}
.diamond .line-1{
    width: 243px;
    height: 1px;
    background: linear-gradient(270.00deg, rgba(255, 244, 233, 1),rgba(255, 244, 233, 0) 100%)
}
.diamond .line-2{
    width: 243px;
    height: 1px;
    background: linear-gradient(270.00deg, rgba(255, 244, 233, 0),rgba(255, 244, 233, 1) 100%)
}
.founder__content{
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 3
}
.founder__title{
    width: fit-content;
    text-align: right;
    min-height: 102.1px
}
.founder__title h2 + div{
    margin-top: 16px
}
.founder__photo{
    position: relative;
    margin-top: -24px
}
.founder__photo .img-container{
    width: 380px;
    height: 380px;
    border-radius: 50%;
    box-shadow: 0px 0px 45px 0px rgba(255, 255, 255, 0.25)
}
.founder__photo .quote{
    position: absolute;
    bottom: 38px;
    left: -121px;
    width: 308px;
    text-align: center;
    font-weight: 700;
    line-height: 1.4
}
.founder__name{
    width: 380px;
/*     height: 120px; */
    text-align: center;
/*     background: var(--gold-gradient-horizontal); */
/*     border: 1px solid var(--gold); */
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: var(--size-2)
}
.founder__name span:first-child{
    font-family: var(--title-font);
    font-size: 3rem;
    font-weight: 600;
    line-height: 1.2;
    margin-top: -4px;
    display: inline-block
}
.founder__name span:last-child{
    display: inline-block;
    font-size: 1.35rem;
    text-transform: uppercase;
    font-weight: 600;
    color: var(--gold-light);
    line-height: 1;
    margin-top: 8px
}

/* end of founder */

/* services */

.services > .container{
    max-width: 100%;
    padding: 0
}
.services__title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-2)
}
.services__btns{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-1)
}
.services__item{
    height: 500px
}
.services__item:before{
    content: '';
    position: absolute;
    width: 100%;
    height: calc(100% + 2px);
    background: var(--overlay-gradient-3);
    top: -1px;
    left: 0;
    z-index: 2
}

.tab-btn.active {
    background: var(--gold-gradient-btn);
    border-color: transparent;
    color: var(--white)
}

.tab-content {
    display: none;
}

.tab-content.active {
    display: block;
    animation: fade 1s ease;
}

.popup {
    opacity: 0;
    pointer-events: none;
    transition: opacity .35s ease;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #10151CA6;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    display: flex;
    justify-content: center;
    align-items: center
}

.popup.show {
    opacity: 1;
    pointer-events: auto;
    z-index: 4
}
.popup__content{
    max-width: calc(100dvw - 24px);
    max-height: 90dvh;
    background-color: var(--dark);
    border: 3px solid var(--gold);
    padding: var(--size-2);
    padding-bottom: 54px;
    position: relative
}
.popup .close{
    position: absolute;
    top: var(--size-2);
    right: var(--size-2);
    cursor: pointer
}
.popup__close{
    position: absolute;
    bottom: var(--size-2);
    left: calc(50% - 47px)
}


@keyframes fade {
    from {opacity: 0; transform: translateY(0);}
    to {opacity: 1; transform: translateY(0);}
}

.services__item .content{
    position: absolute;
    right: var(--size-1);
    bottom: var(--size-2);
    /* background-color: #10151Ca6; */
    /* border: none; */
    width: 356px;
    /* box-shadow: 0px 0px 35px 0px rgba(255, 255, 255, 0.35) */
}
.services__title{
    padding: 0 var(--size-1)
}


/* end of services */



/* contact */

.contact__title{
    text-align: center;
    padding: 0 17%
}
.contact-form form >p{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--size-1);
    max-width: 620px;
    margin: var(--size-2) auto 0
}
.wpcf7-form-control-wrap {
    width: 100%
}
.contact-form form textarea{
    height: 130px
}
.wpcf7-spinner{
    display: none
}
.wpcf7 form .wpcf7-response-output,
.wpcf7 form.sent .wpcf7-response-output
{
    border: none;
    padding: 0;
    text-align: center;
    margin: var(--size-1) auto 0;
    max-width: 620px
}

/* end of contact */